---
search:
  tags:
    - memory
    - GET
seo:
  description: >-
    List memory profile. Reference for the GET
    /workspaces/{organizationId}/memory/profile endpoint in the Pile API.
sidebar:
  label: List memory profile
  badge: GET
title: List memory profile
type: openapi-operation
---
`GET /workspaces/{organizationId}/memory/profile`

**Responses**

- `200` — Entity memory profile — static vs dynamic facts

Response example, 200:

```json
{
  "entityType": "string",
  "entityId": "string",
  "staticFacts": [
    {
      "id": "string",
      "entityType": "string",
      "entityId": "string",
      "kind": "string",
      "fact": "string",
      "sourceSessionId": "string",
      "sourceAgentSlug": "string",
      "validUntil": "string",
      "createdAt": "string"
    }
  ],
  "dynamicFacts": [
    {
      "id": "string",
      "entityType": "string",
      "entityId": "string",
      "kind": "string",
      "fact": "string",
      "sourceSessionId": "string",
      "sourceAgentSlug": "string",
      "validUntil": "string",
      "createdAt": "string"
    }
  ],
  "byKind": {
    "property1": [
      {
        "id": "string",
        "entityType": "string",
        "entityId": "string",
        "kind": "string",
        "fact": "string",
        "sourceSessionId": "string",
        "sourceAgentSlug": "string",
        "validUntil": "string",
        "createdAt": "string"
      }
    ],
    "property2": [
      {
        "id": "string",
        "entityType": "string",
        "entityId": "string",
        "kind": "string",
        "fact": "string",
        "sourceSessionId": "string",
        "sourceAgentSlug": "string",
        "validUntil": "string",
        "createdAt": "string"
      }
    ]
  },
  "summary": "string"
}
```
